SDL_HINT_VIDEO_ALLOW_SCREENSAVER(3)

NAME
SDL_HINT_VIDEO_ALLOW_SCREENSAVER - A variable controlling whether the screensaver is enabled.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_ALLOW_SCREENSAVER "SDL_VIDEO_ALLOW_SCREENSAVER"

DESCRIPTION
The variable can be set to the following values:

• "0": Disable screensaver. (default)

• "1": Enable screensaver.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.